Subject: Re: bug#6193: emacs 23 in ubuntu 10.04 gnu linux: black lines overwrite text!

From: Kjetil brinchmann Halvorsen <[email-masked]>
Date: Tue, 8 Jun 2010 19:43:35 -0400

A very short followup: Today the same (apparently) problem started to appear
in another program,
open office calc (which I use sparinlgly to communicate with windows types).
Same symproms as with emacs,
but a little less annoying. \Might this be a gnome problem?

Kjetil

On Tue, Jun 1, 2010 at 20:01, Kjetil brinchmann Halvorsen <
[email-masked]> wrote:

> Comments/answers below:
>
> On Sat, May 15, 2010 at 06:47, Jan Djärv <[email-masked]> wrote:
>
>> Hello.
>>
>> Please keep the Cc to debbugs.gnu.org.
>>
>> 2010-05-15 01:12, Kjetil brinchmann Halvorsen skrev:
>>
>>  Hei!
>>>
>>> I just downloaded and compiled the sources for emacs23.2 I did not
>>> install, but did run it from the
>>> build directory. the same problem appeared.  That is, when I first saw
>>> the emacs window appear, it looked
>>> clean and normal, but moving the mouse cursor over the screen, the
>>> problem appeared.
>>>
>>> I do not understand what you refer to by "switching themes".
>>>
>>
>> In your settings menu you can choose appearence of the desktop.
>> Does this happen if you start emacs with -Q?
>>
>
>    It do happens when I start with -Q, yes.
>
>>
>> There seems to be some mismatch.  The screen shot says 23.1.50 and Gtk+
>> 2.18.0.  But in your bug details below, it says 23.1 and Gtk+ 2.20.0.
>>
>
>    The reason is that the screenshot is from another computer with the same
> problem.
>
>
>> I tried reproducing this with Ubuntu 10.04, but could not.
>>
>
>       It does not happen always. I said it is difficult to state exactly
> under which circumstances it happens,
>        and I refuted some of my hypothesis. But one thing is commom to all
> the occurences: It do not show the problem if I run
>        emacs as my only program. It do show when I run many other
> processes. In practice this are mainly  firefox
> (with  many (20 or more) open tabs), and Evince, the gnome document viewer,
> also often many windows open. Most other programs I run within emacs.
>
> Kjetil
>
>>
>>        Jan D.
>>
>>
>>
>>>        In GNU Emacs 23.1.1 (i486-pc-linux-gnu, GTK+ Version 2.20.0)
>>>          of 2010-03-29 on rothera, modified by Debian
>>>        Windowing system distributor `The X.Org Foundation', version
>>>        11.0.10706000
>>>        configured using `configure '--build=i486-linux-gnu'
>>>        '--host=i486-linux-gnu' '--prefix=/usr'
>>> '--sharedstatedir=/var/lib'
>>>        '--libexecdir=/usr/lib' '--localstatedir=/var/lib'
>>>        '--infodir=/usr/share/info' '--mandir=/usr/share/man'
>>>        '--with-pop=yes'
>>>
>>>  '--enable-locallisppath=/etc/emacs23:/etc/emacs:/usr/local/share/emacs/23.1/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/23.1/site-lisp:/usr/share/emacs/site-lisp:/usr/share/emacs/23.1/leim'
>>>        '--with-x=yes' '--with-x-toolkit=gtk' '--with-toolkit-scroll-bars'
>>>        'build_alias=i486-linux-gnu' 'host_alias=i486-linux-gnu'
>>>        'CFLAGS=-DDEBIAN -g -O2' 'LDFLAGS=-g' 'CPPFLAGS=''
>>>
>>>        Important settings:
>>>           value of $LC_ALL: nil
>>>           value of $LC_COLLATE: nil
>>>           value of $LC_CTYPE: nil
>>>           value of $LC_MESSAGES: nil
>>>           value of $LC_MONETARY: nil
>>>           value of $LC_NUMERIC: nil
>>>           value of $LC_TIME: nil
>>>           value of $LANG: en_US.utf8
>>>           value of $XMODIFIERS: nil
>>>           locale-coding-system: utf-8-unix
>>>           default-enable-multibyte-characters: t
>>>
>>>        Major mode: Fundamental
>>>
>>>        Minor modes in effect:
>>>           show-paren-mode: t
>>>           global-auto-revert-mode: t
>>>           display-time-mode: t
>>>           display-battery-mode: t
>>>           cua-mode: t
>>>           shell-dirtrack-mode: t
>>>           tooltip-mode: t
>>>           tool-bar-mode: t
>>>           mouse-wheel-mode: t
>>>           menu-bar-mode: t
>>>           file-name-shadow-mode: t
>>>           global-font-lock-mode: t
>>>           blink-cursor-mode: t
>>>           global-auto-composition-mode: t
>>>           auto-encryption-mode: t
>>>           auto-compression-mode: t
>>>           line-number-mode: t
>>>           transient-mark-mode: t
>>>
>>>        Recent input:
>>>        <help-echo> <help-echo> <help-echo> <help-echo> <help-echo>
>>>        <help-echo> <help-echo> <help-echo> <help-echo> <help-echo>
>>>        <help-echo> <help-echo> <help-echo> <help-echo> <help-echo>
>>>        <help-echo> <help-echo> <help-echo> <help-echo> <help-echo>
>>>        <help-echo> <help-echo> <help-echo> <help-echo> <help-echo>
>>>        <help-echo> <help-echo> <help-echo> M-x r e p o r t
>>>        - e m a c s - b u g <return>
>>>
>>>        Recent messages:
>>>        Loading /etc/emacs/site-start.d/50pspp.el (source)...done
>>>        Loading /etc/emacs/site-start.d/50psvn.el (source)...done
>>>        Loading /etc/emacs/site-start.d/50python-docutils.el
>>> (source)...done
>>>        enabling speedbar support
>>>        Loading cua-base...done
>>>        Loading battery...done
>>>        Loading time...done
>>>        Loading autorevert...done
>>>        Loading paren...done
>>>        For information about GNU Emacs and the GNU system, type C-h C-a.
>>>
>>>
>>>        --
>>>        The good Christian should beware of mathematicians, and all
>>>        those who
>>>        make empty prophecies. The danger already exists that the
>>>        mathematicians
>>>        have made a covenant with the devil to darken the spirit and to
>>>        confine
>>>        man in the bonds of Hell.
>>>
>>>        St. Augustine, De Genesi ad Litteram, Book II, xviii, 37
>>>
>>>
>>>
>>>
>>>
>>>
>>> --
>>> The good Christian should beware of mathematicians, and all those who
>>> make empty prophecies. The danger already exists that the mathematicians
>>> have made a covenant with the devil to darken the spirit and to confine
>>> man in the bonds of Hell.
>>>
>>> St. Augustine, De Genesi ad Litteram, Book II, xviii, 37
>>>
>>>
>>>
>>>
>>
>
>
> --
> The good Christian should beware of mathematicians, and all those who make
> empty prophecies. The danger already exists that the mathematicians have
> made a covenant with the devil to darken the spirit and to confine man in
> the bonds of Hell.
>
> St. Augustine, De Genesi ad Litteram, Book II, xviii, 37
>
>
>
>

-- 
The good Christian should beware of mathematicians, and all those who make
empty prophecies. The danger already exists that the mathematicians have
made a covenant with the devil to darken the spirit and to confine man in
the bonds of Hell.

St. Augustine, De Genesi ad Litteram, Book II, xviii, 37